# Clutter::ActorBox Class Reference

List of all members.

## Public Member Functions

| ActorBox ()
| ActorBox (const ClutterActorBox* gobject)
ClutterActorBox* | gobj ()
| Provides access to the underlying C instance.
const ClutterActorBox* | gobj () const
| Provides access to the underlying C instance.
| ActorBox (float x1, float y1, float x2, float y2)
float | get_x1 () const
void | set_x1 (const float&value)
float | get_y1 () const
void | set_y1 (const float&value)
float | get_x2 () const
void | set_x2 (const float&value)
float | get_y2 () const
void | set_y2 (const float&value)

## Protected Attributes

ClutterActorBox | gobject_

## Related Functions

(Note that these are not member functions.)
Clutter::ActorBox& | wrap (ClutterActorBox* object)
const Clutter::ActorBox& | wrap (const ClutterActorBox* object)

## Constructor & Destructor Documentation

Clutter::ActorBox::ActorBox | ( |  | ) |

Clutter::ActorBox::ActorBox | ( | const ClutterActorBox * | gobject | ) | `[explicit]`

Clutter::ActorBox::ActorBox | ( | float | x1,
|  | float | y1,
|  | float | x2,
|  | float | y2 |
| ) |  |  |

## Member Function Documentation

float Clutter::ActorBox::get_x1 | ( |  | ) | const

float Clutter::ActorBox::get_x2 | ( |  | ) | const

float Clutter::ActorBox::get_y1 | ( |  | ) | const

float Clutter::ActorBox::get_y2 | ( |  | ) | const

const ClutterActorBox* Clutter::ActorBox::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

ClutterActorBox* Clutter::ActorBox::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

void Clutter::ActorBox::set_x1 | ( | const float & | value | ) |

void Clutter::ActorBox::set_x2 | ( | const float & | value | ) |

void Clutter::ActorBox::set_y1 | ( | const float & | value | ) |

void Clutter::ActorBox::set_y2 | ( | const float & | value | ) |

## Friends And Related Function Documentation

const Clutter::ActorBox& wrap | ( | const ClutterActorBox * | object | ) | `[related]`

Parameters:

  | object | The C instance

Returns:
  A C++ instance that wraps this C instance.

Clutter::ActorBox& wrap | ( | ClutterActorBox * | object | ) | `[related]`

Parameters:

  | object | The C instance

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

ClutterActorBox Clutter::ActorBox::gobject_`[protected]`

The documentation for this class was generated from the following file:

- cluttermm/actor.h